%define	name	bzflag
%define version 2.0.8
%define release %mkrel 5
%define	Summary	A multiplayer 3D tank battle game
%define libname %mklibname %{name} 2

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
Source0:	http://download.sourceforge.net/bzflag/%{name}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
URL:		http://BZFlag.SourceForge.net/
License:	GPL
Group:		Games/Arcade
BuildRequires:	mesa-common-devel X11-devel curl-devel zlib-devel
BuildRequires:	SDL-devel SDL_image-devel
BuildConflicts:	freetds-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Epoch:		1

%description
BZFlag is a multiplayer 3D tank battle game. It's one of the most popular games
ever on Silicon Graphics systems.

%prep
%setup -q

%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir} --enable-robots
%make CXXFLAGS="$RPM_OPT_FLAGS -O1 -ffast-math -fno-exceptions -fsigned-char"

%install
rm -rf %{buildroot}
%{makeinstall_std}

mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="More Applications/Games/Arcade" title="BZflag" \
  longtitle="%{Summary}" xdg="true"
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=BZflag
Comment=A multiplayer 3D tank battle game
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
Encoding=UTF-8
EOF


install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README BUGS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/*/*
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Fri Feb 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.8-5mdv2007.0
+ Revision: 125208
- rebuild against new libgii

* Tue Jan 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.8-4mdv2007.1
+ Revision: 109480
- Rebuild against new curl
- Import bzflag



* Sat Sep 16 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-3mdv2007.0
- compile with -O1 to have shots fired actually hit stuff too

* Sat Sep 16 2006 Emmanuel Andry <eandry@mandriva.org> 2.0.8-2mdv2007.0
- xdg menu
- fix buildrequires
- add missing buildrequires SDL-devel SDL_image-devel

* Tue May 16 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-1mdk
- 2.0.8
- drop devel package

* Fri May 12 2006 Stefan van der Eijk <stefan@eijk.nu> 1:2.0.4-4mdk
- rebuild for sparc

* Tue Mar 14 2006 Erwan Velu <erwan@seanodes.com> 2.0.4-3mdk
- Fixing build requires

* Tue Mar 14 2006 Erwan Velu <erwan@seanodes.com> 2.0.4-2mdk
- Fixing description

* Tue Mar 14 2006 Erwan Velu <erwan@seanodes.com> 2.0.4-1mdk
- 2.0.4
- Enable robot
- Adding devel files

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.2-3mdk
- rebuilt against openssl-0.9.8a

* Sat Jul 30 2005 Guillaume Bedot <littletux@mandriva.org> 1:2.0.2-2mdk
- rebuild
- Patch0: allows to build with new gcc

* Fri Apr 29 2005 Lenny Cartier <lenny@mandriva.com> 2.0.2-1mdk
- from Emmanuel Andry <eandry@free.fr> : 
	- 2.0.2 "Queen of Maybe"

* Wed Jan 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.0-1mdk
- 2.0.0 "Falcor's Despair"
- update compile flags

* Tue Dec 14 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.10.8-1mdk
- 1.10.8
- drop Packager tag

* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.10.6-3mdk
- Rebuild with new menu

* Sun Jun 06 2004 Michael Scherer <misc@mandrake.org> 1.10.6-2mdk 
- rebuild for new gcc 

* Thu May 20 2004 Michael Scherer <misc@mandrake.org> 1.10.6-1mdk
- New release 1.10.6

* Thu Jan 29 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.4-1mdk
- new release

* Wed Dec 10 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.10-1mdk
- 1.10
- don't bzip2 icons in src.rpm
- nicer formatting in spec

* Sun Jun 29 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.7g2-1mdk
- 1.7g2
- use %%make macro
- drop P0
- %%configure is now used
- ensure that correct compile flags are used
- use %%makeinstall_std etc. no longer need for doing install manually
- change summary macro to avoid potentially conflicts if we were to build
  debug package

* Fri Dec 13 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7g0-1mdk
- new version

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.7e6-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.7e6-3mdk
- Automated rebuild with gcc3.2

* Wed Jul  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e6-2mdk
- added manpages, thx to Han Boetes <han@mijncomputer.nl> 

* Wed Jun 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e6-1mdk
- new version

* Wed May  8 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e4-3mdk
- write a patch for gcc-3.1

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7e4-2mdk
- xpm -> png icons

* Fri Dec  7 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e4-1mdk
- new version

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e2-3mdk
- fix obsolete-tag Copyright
- fix obsolete-tag Serial

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e2-2mdk
- rebuild

* Thu Apr 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e2-1mdk
- 1.7e2

* Mon Mar 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e0-2mdk
- add a serial to make it upgrade the older version..

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e0-1mdk
- 1.7e0

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-5mdk
- recompile with latest gcc from chmou
- provide 48x48 icon

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-4mdk
- recompile against newest libstdc++
- fix compile against gcc-2.96

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7d.9-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-1mdk
- first package for Linux-Mandrake
